Bug 472740 - [RFE] -package is uninstaled during test, which need that package
[RFE] -package is uninstaled during test, which need that package
Status: NEW
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.5
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
SimpleHarness
: FutureFeature
Depends On: 577796
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 05:20 EST by Petr Sklenar
Modified: 2016-05-26 09:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-11-24 05:20:00 EST
Description of problem:
I have two tests:
one need package bind-chroot -- there is bind-chroot in Makefile Requires section.
Second doesn't need bind-chroot -- there is (minus) -bind-chroot in Makefile Requires section.

I schedule both test on one machine, then machine is without bind-chroot during both tests -- thats why first test fail :(

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. two test, one with +package in Require , second with -dependences in Requires
2. schedule both test on one machine
  
Actual results:
bind-chroot is uninstalled during both test

Expected results:
during tests on one machine:
bind-chroot is installed in test when it is +required
bind-chroot is uninstalled, when its -required.

Additional info:
Comment 1 Bill Peck 2008-11-24 09:47:10 EST
This is an interesting problem. 

Currently we rely on Anaconda to install the packages required for testing.  The harness could be updated to install/remove the required packages for the test about to be run.  

Ideally we would just put the test requires as rpm requires of the test rpm.  This would allow the installing the test rpm to pull in the correct rpms needed.  Problem with this approach is that some tests have Requires that span across multiple releases.  The test rpm would have to be split between releases to continue to work.

Updating the harness to deal with this is probably the best bet.  I'll add this BZ to the business requirements for the new test harness.
Comment 2 Bill Peck 2010-04-07 08:37:10 EDT
Notice:

Legacy RHTS is soon to be retired and replaced by Beaker. As part of
this migration process all RHTS bugs need to be re-verified against a
Beaker instance by the cut-off date

   5pm Monday April 12th UTC-4. 

Please confirm this bug is still relevant to Beaker by re-verifying it
against the stage deployment of Beaker https://beaker-stage.app.eng.bos.redhat.com.

To keep this bug open please comment on it

If it has not received a comment by that date the bug will be closed/wontfix.

After the cutoff date all commented bugs will be moved to the Beaker
product.


thank you
Comment 3 Marian Csontos 2010-04-13 14:22:21 EDT
this is still an issue.
Comment 4 Marian Csontos 2010-11-10 07:25:07 EST
*** Bug 651828 has been marked as a duplicate of this bug. ***
Comment 5 Nick Coghlan 2012-10-17 00:38:38 EDT
Bulk reassignment of issues as Bill has moved to another team.

Note You need to log in before you can comment on or make changes to this bug.